package cn.cecep.talroad.service.impl.analysis;

import cn.cecep.talroad.domain.analysis.SRaPollManTypeChange;
import cn.cecep.talroad.mapper.analysis.SRaPollManTypeChangeMapper;
import cn.cecep.talroad.service.analysis.SRaPollManTypeChangeService;
import cn.cecep.talroad.vo.analysis.SRaPollManTypeChangeVo;
import cn.cecep.talroad.vo.query.analysis.SRaPollManTypeChangeQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class SRaPollManTypeChangeServiceImpl extends ServiceImpl<SRaPollManTypeChangeMapper, SRaPollManTypeChange> implements SRaPollManTypeChangeService{

    @Override
    public int updateBatch(List<SRaPollManTypeChange> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int updateBatchSelective(List<SRaPollManTypeChange> list) {
        return baseMapper.updateBatchSelective(list);
    }
    @Override
    public int batchInsert(List<SRaPollManTypeChange> list) {
        return baseMapper.batchInsert(list);
    }

    @Override
    public IPage<SRaPollManTypeChangeVo> selectList(SRaPollManTypeChangeQuery query) {
        Page<SRaPollManTypeChangeVo> page=new Page<>(query.getPageNum(),query.getPageSize());
        return baseMapper.selectListInfo(page,query);
    }

    @Override
    public List<String> selectIndustryPermissionNameList(SRaPollManTypeChangeQuery query) {
        return baseMapper.selectIndustryPermissionNameList(query);
    }
}
